# frozen_string_literal: true
require 'test_helper'

module Admin
  class ResultControllerTest < ActionDispatch::IntegrationTest
    test "should get results list" do
      auth_reviewer
      get admin_results_url
      assert_response :success
      assert assigns(:candidates), '@candidates not present'
    end

    test "should get view" do
      auth_reviewer

      get admin_result_url(candidates(:richard).test_hash)
      assert_response :success
      assert assigns(:candidate), "@candidate not present"
      assert assigns(:quiz), "@quiz not present"
      assert assigns(:status), "@status not present"
    end

    test "reviewer can view result for henry" do
      auth_reviewer

      get admin_result_url(candidates(:henry).test_hash)
      assert_response :success
    end

    test "recruiter can view result for henry" do
      auth_user users(:recruiter)

      get admin_result_url(candidates(:henry).test_hash)
      assert_response :success
    end
  end
end
